"use client";
import { useRouter } from "@/i18n";
import { FC, PropsWithChildren, ReactNode } from "react";
import clsx from "clsx";
import "./style.scss";

/**
 * @description 底部Tab组件
 * @param footerPlaceholder 底部占位元素
 * @param footerRender 底部渲染元素
 *
 */
export interface FooterProps {
    footerPlaceholder?: boolean;
    footerRender?: () => ReactNode;
}

const Footer: FC<PropsWithChildren<FooterProps>> = (props) => {
    const router = useRouter();

    return (
        <div className="footer-box">
            <ul>
                <li>
                    <div className="icon-box">
                        <span className="iconfont icon-home"></span>
                    </div>
                    <label>Início</label>
                </li>
                <li className="active">
                    <div className="icon-box">
                        <span className="iconfont icon-qianbao1"></span>
                    </div>
                    <label>Depósito</label>
                </li>
                <li>
                    <div className="icon-box">
                        <i className="icon-afiliado"></i>
                        <i className="icon-rs"></i>
                    </div>
                    <label>Afiliado</label>
                </li>
                <li>
                    <div className="icon-box">
                        <span className="iconfont icon-tiyu"></span>
                        <i className="icon-hot"></i>
                    </div>
                    <label>Esportes</label>
                </li>
                <li>
                    <div className="icon-box">
                        <span className="iconfont icon-yonghu"></span>
                    </div>
                    <label>Perfil</label>
                </li>
            </ul>
        </div>
    );
};

export default Footer;
